package com.goafanti.common.dao;

import com.goafanti.common.model.UserDataLog;
import com.goafanti.customer.bo.OutUserDateLogList;

import java.util.List;

public interface UserDataLogMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(UserDataLog record);

    int insertSelective(UserDataLog record);

    UserDataLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserDataLog record);

    int updateByPrimaryKey(UserDataLog record);

    List<OutUserDateLogList> userDateLogList(String uid);
}